// Copyright (c) Microsoft Corporation
// Licensed under the MIT license.
export let module = undefined;
export async function createModule(parent) {
    if (module)
        return module;
    module = {
        name: "temporal",
        cursor: parent.cursor.enter("temporal"),
        imports: [],
        declarations: [],
    };
    // Child modules
    await import("./native.js").then((m) => m.createModule(module));
    await import("./polyfill.js").then((m) => m.createModule(module));
    parent.declarations.push(module);
    return module;
}
//# sourceMappingURL=index.js.map